#version 150

attribute vec3 aVertexPosition;
attribute vec4 aVertexColor;

uniform mat4 uModelMatrix;
uniform mat4 uViewMatrix;
uniform mat4 uProjectionMatrix;

varying vec4 vColor;

void main ()
{
  vec4 tmpvar_1;
  tmpvar_1.w = 1.0;
  tmpvar_1.xyz = aVertexPosition;
  gl_Position = (((uProjectionMatrix * uViewMatrix) * uModelMatrix) * tmpvar_1);
  vColor = aVertexColor;
}

