#version 150

varying vec2 vTextureCoord;
varying vec4 vPosition;

uniform sampler2D uDiffuseSampler;
uniform float uAlphaMultiplier;
uniform vec4 uDiffuseKey;

void main(void)
{
    vec4 baseSample = texture2D(uDiffuseSampler, vTextureCoord);

    if(baseSample == uDiffuseKey)
        gl_FragColor = vec4(1,0,0,0);
    else
        gl_FragColor = baseSample * vec4(1,1,1,uAlphaMultiplier);
}