#version 150


varying vec4 vPosition;
varying vec2 vTextureCoord;

uniform vec4 uDiffuseValue;
uniform float uAlphaMultiplier;
uniform sampler2D uDiffuseSampler;

void main(void)
{
gl_FragColor = texture2D(uDiffuseSampler, vTextureCoord) * vec4(uDiffuseValue.rgb, uDiffuseValue.a*uAlphaMultiplier);
}
