#version 150

uniform float uSeed;
uniform float uScale;
uniform vec4 uDiffuseValue;

float rand(vec2 co){
    return fract(sin(dot(co.xy ,vec2(12.9898,78.233))) * 43758.5453);
}

void main(void)
{
    vec2 coord = vec2(gl_FragCoord.x/uScale, gl_FragCoord.y/uScale);
    
    coord.x = ceil(coord.x);
    coord.y = ceil(coord.y);

	float baseSample = rand(coord * uSeed);
    gl_FragColor = vec4(baseSample,baseSample,baseSample,1.0) * uDiffuseValue;
}