#version 150


varying vec3 vDir;

uniform bool uUseMask;
uniform float uTime;
uniform vec4 uDiffuseValue;
uniform sampler2D uDiffuseSampler;
uniform vec2 uScreenSize;

void main ()
{
	vec4 value = uDiffuseValue;
	
	if(uUseMask)
	{
		vec2 uv = gl_FragCoord.xy / uScreenSize;
		uv *= vec2(1.0, uScreenSize.x/uScreenSize.y) * 10.0;
		uv += vec2(uTime) * vec2(-1,1) * 0.125;
		value.rgb *= texture2D(uDiffuseSampler, uv).r;
	}
	
	gl_FragColor = value;
}

