#version 150

varying vec2 vTextureCoord;
varying vec4 vPosition;

uniform sampler2D uDiffuseSampler;
uniform float uAlphaMultiplier;

uniform float uMagnitude;
uniform vec2 uScreenSize;
uniform vec4 uColorA;
uniform vec4 uColorB;

void main(void)
{
    float displace = texture2D(uDiffuseSampler,  vTextureCoord.st).r;

    displace *= uMagnitude;

    if(displace >= 1.0)
    {
        gl_FragColor = uColorA * vec4(1,1,1,uAlphaMultiplier);
    }
    else
    {
        gl_FragColor = uColorB * vec4(1,1,1,uAlphaMultiplier);
    }
}